Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143354 - Please set up help ID for Ruby tab in Options Misc panel
Please set up help ID for Ruby tab in Options Misc panel
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 23:01 UTC by Chris Kutler
Modified: 2008-08-14 15:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Kutler 2008-08-08 23:01:30 UTC
When they click the Help button in the Ruby tab in the Options > Misc panel, please use the target id of:


org.netbeans.modules.ruby.railsprojects.RailsProjectOption

(If I am wrong about the target id, let me know. I wasn't sure which class to use).
Comment 1 Erno Mononen 2008-08-09 10:58:24 UTC
Fixed using the suggested target id, changeset ec7acc33be95. 
Comment 2 Quality Engineering 2008-08-09 15:36:52 UTC
Integrated into 'main-golden', available in build *200808091401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/ec7acc33be95
User: Erno Mononen <emononen@netbeans.org>
Log: #143354: Please set up help ID for Ruby tab in Options Misc panel
Comment 3 Chris Kutler 2008-08-11 21:16:13 UTC
Using build 3349 (Build 20080811162939), I open Tools > Options, I click Miscellaneous, and I click Ruby. There is no
help button. If I click another tab im the Miscellaneous panel, the help button may appear. If I go back to the Ruby tab
and click Help, I seem to get the help for some other tab. Once it emitted:

displayInJHelp: netbeans.optionsDialog.advanced.files null


Another time it emitted: 

displayInJHelp: org.netbeans.modules.versioning.util.VcsAdvancedOptions null

It seems that the Help button only appears on the Ruby tab if I previously visited a Misc tab that had a help button
enabled. For example, if I go from Tools > Options to Appearance Ruby, there will not be a help button. But if I click
another tab in Misc that has a help button, then go to the Ruby tab, the help button is enabled. If I click the Help
button on the Ruby tab, it serves up the help for the previous tab, not the Ruby tab. 

Comment 4 Erno Mononen 2008-08-12 14:27:52 UTC
Sorry about that. Turns out adding a help id to that class doesn't work, had to add it elsewhere. The id is  
"netbeans.optionsDialog.advanced.ruby". 

Changeset 4491b251d6e4.
Comment 5 Quality Engineering 2008-08-14 15:55:17 UTC
Integrated into 'main-golden', available in build *200808141419* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/4491b251d6e4
User: Erno Mononen <emononen@netbeans.org>
Log: #143354: Please set up help ID for Ruby tab in Options Misc panel


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo